Page MenuHomePhabricator

Fixed global constant/variable naming check on C++ class for ObjC++ files.
ClosedPublic

Authored by Wizard on Mar 12 2019, 7:22 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

Wizard created this revision.Mar 12 2019, 7:22 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 12 2019, 7:22 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
Wizard edited the summary of this revision. (Show Details)Mar 12 2019, 7:23 PM
Wizard added reviewers: benhamilton, hokein.
hokein added inline comments.Mar 13 2019, 4:26 AM
clang-tidy/google/GlobalVariableDeclarationCheck.cpp
82 ↗(On Diff #190371)

nit: removing the {}, the same below.

test/clang-tidy/google-objc-global-variable-declaration.mm
38 ↗(On Diff #190371)

instead of moving .m to .mm, I think we can create a new ".mm" file for testing this case.

Wizard updated this revision to Diff 190461.Mar 13 2019, 11:42 AM

Resolve comments

Wizard marked 2 inline comments as done.Mar 13 2019, 11:43 AM
Wizard updated this revision to Diff 190462.Mar 13 2019, 11:46 AM

fix ObjC++ test

hokein accepted this revision.Mar 14 2019, 1:44 AM
hokein added inline comments.
test/clang-tidy/google-objc-global-variable-declaration.mm
11 ↗(On Diff #190462)

nit: I think we should have a newline at end of file.

This revision is now accepted and ready to land.Mar 14 2019, 1:44 AM
Wizard updated this revision to Diff 190750.Mar 14 2019, 4:19 PM

add new line

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 14 2019, 5:16 PM